Class | Fog::Ecloud::MockDataClasses::MockVdc
In: | lib/fog/ecloud/mock_data_classes.rb
Parent: | Base

### Methods

catalog cpu_allocated firewall_acls internet_service_collection memory_allocated name networks public_ip_collection storage_allocated storage_used task_list virtual_machines

### Public Instance methods

catalog()
cpu_allocated()
firewall_acls()
internet_service_collection()
memory_allocated()
name()
networks()
public_ip_collection()

for TM eCloud, should probably be subclassed

storage_allocated()
storage_used()
task_list()
virtual_machines()

[Validate]